html, body {
  overflow-x: hidden;
}

.carrera-intro-container,
.hit-why-container,
.hit-cv-container {
  max-width: 100%;
  padding-left: 15px;
  padding-right: 15px;
  box-sizing: border-box;
}

/* =========================
   CARRERA HERO
========================= */

.carrera-hero {
  position: relative;
  height: 55vh;
  min-height: 350px;
  background: url('../assets/images/institucional/carrera.jpg') center center / cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.carrera-hero-overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(to bottom, rgba(0,0,0,0.4), rgba(0,0,0,0.7));
}

.carrera-hero-content {
  position: relative;
  z-index: 2;
  text-align: center;
}

.carrera-hero h1 {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(48px, 6vw, 72px);
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 0.08em;
}

/* =========================================
  CARRERA INTRO 
========================================= */

.carrera-intro-section {
  width: 100%;
  padding: 70px 0;
  background: #1C2249;
}

.carrera-intro-container {
  width: 90%;
  max-width: 900px;
  margin: 0 auto;
  text-align: center;
}

.carrera-intro-title {
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(24px, 3vw, 14px);
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 0.08em;
  margin-bottom: 30px;
}

.carrera-intro-text {
  font-family: 'Maven Pro', sans-serif;
  font-size: 16px;
  line-height: 1.8;
  color: #ffffff;
  max-width: 750px;
  margin: 0 auto;
}

/* =========================================
   TESTIMONIOS
========================================= */

.hit-why-section {
  width: 100%;
  padding: 80px 0;
  background: #ffffff;
}

.hit-why-container {
  max-width: 900px;
  margin: 0 auto;
  position: relative;
  box-sizing: border-box;
}

.hit-why-title {
  text-align: center;
  font-family: 'GT Walsheim Bold', sans-serif;
  font-size: clamp(32px, 4vw, 24px);
  color: #1C2249;
  text-transform: uppercase;
  letter-spacing: 0.08em;
  margin-bottom: 80px;
}


.hit-why-slider {
  position: relative;
}

.hit-why-item {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 30px;
  opacity: 0;
  transform: translateX(50px);
  transition: all 0.5s ease;
}

.hit-why-item.active {
  opacity: 1;
  transform: translateX(0);
  position: relative;
}

.hit-why-left {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1 1 250px;
}

.hit-why-image img {
  width: 180px;
  height: 180px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 15px;
}

.hit-why-left .position {
  font-size: 0.9em;
  color: #1C2249;
  text-align: center;
}

.hit-why-right {
  flex: 1 1 350px;
  font-size: 1em;
  color: #1C2249;
  line-height: 1.5;
  text-align: left;
}

.hit-why-profile {
  text-align: center;
}

.hit-why-image {
  width: 220px;
  height: 220px;
  border-radius: 50%;
  overflow: hidden;
  margin: 0 auto 25px auto;
  box-shadow: 0 20px 50px rgba(0,0,0,0.15);
}

.hit-why-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hit-why-profile h3 {
  margin: 5px 0 5px 0;
  color: #1C2249
}

.hit-why-role {
  font-size: 0.95em;
  color: #1C2249;
  text-align: center;
}

.hit-why-description {
  font-family: 'Maven Pro', sans-serif;
  font-size: 15px;
  line-height: 1.7;
  color: #1C2249;
}


.hit-why-quote {
  flex: 1;
  font-size: 1rem;
  line-height: 1.5;
  padding: 20px 25px;
  border-left: 5px solid #007BFF;
  background-color: #f9f9f9;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
  border-radius: 8px;
  font-style: italic;
  color: #1C2249;
}

.hit-why-dots {
  text-align: center;
  margin-top: 35px;
  position: relative;
  z-index: 10;
}

.hit-why-dot {
  display: inline-block;
  width: 12px;
  height: 12px;
  margin: 0 6px;
  background-color: #bbb;
  border-radius: 50%;
  cursor: pointer;
}

.hit-why-dot.active {
  background: #007BFF;
}

@media (max-width: 900px) {
  .hit-why-slider {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    min-height: unset;
    height: auto;
  }

  .hit-why-item {
    position: relative;
    opacity: 0;
    transform: none;
    display: none;
    max-height: 500px;
    flex-direction: column;
    width: 100%;
  }

  .hit-why-item.active {
    text-align: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    position: relative;
    display: flex;
    opacity: 1;
  }

  .hit-why-item:not(.active) {
    display: none;
  }

  .hit-why-left,
  .hit-why-right {
    max-width: 100%;
    box-sizing: border-box;
    padding: 0 15px;
  }

  .hit-why-right {
    text-align: center;
    max-height: 20%;
    margin-top: 15px;
  }

  .hit-why-image {
    width: 180px;
    height: 180px;
  }

  .hit-why-dots {
    margin-top: 0px;
  }
}

@media (max-width: 900px) and (min-width: 500px) {
  .hit-why-item {
    gap: 15px;
  }

  .hit-why-slider {
    height: 375px;
  }
  
  .hit-why-left {
    gap: 10px;
    max-height: 250px;
  }
  
  .hit-why-right {
    font-size: 0.95em;
    line-height: 1.4;

  }
}

.hit-cv-section {
  padding: 60px 20px;
  background-color: #f8f8f8;
}

.hit-cv-container {
  max-width: 700px;
  margin: 0 auto;
  text-align: center;
}


.hit-cv-title {
  font-size: 2rem;
  margin-bottom: 40px;
  color: #1C2249;
  text-transform: uppercase;
  letter-spacing: 0.08em;
}

.hit-cv-form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.hit-cv-row {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.hit-cv-form input,
.hit-cv-form textarea {
  width: 100%;
  padding: 12px 15px;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-size: 1rem;
  box-sizing: border-box;
}

.hit-cv-form textarea::placeholder {
  font-family: 'GT Walsheimc', sans-serif;
  font-size: 1rem;
  color: #666;
  opacity: 1;
}

.hit-cv-form input[type="file"] {
  padding: 5px;
  max-width: 100%;
  box-sizing: border-box;
}

.hit-cv-form button {
  display: block;
  margin: 20px auto 0;
  padding: 10px 30px;
  font-family: inherit;
  font-size: 1rem;
  cursor: pointer;
  border: 2px solid #1C2249;
  background-color: #1C2249;
  color: #ffffff;
  transition: all 0.3s ease;
  border-radius: 5px;
  font-family: 'GT Walsheim Bold', sans-serif;
  text-transform: uppercase;
}

.hit-cv-form button:hover {
  color: #1C2249;
  background-color: #ffffff;
}

@media (max-width: 600px) {
  .hit-cv-row {
    flex-direction: column;
    gap: 10px;
  }
  
  .hit-why-item {
    gap: 15px;
  }
}